"""Cmdb/system connectors."""

from fortigate_api.cmdb.system.accprofile import AccprofileSC
from fortigate_api.cmdb.system.admin import AdminSC
from fortigate_api.cmdb.system.alarm import AlarmSC
from fortigate_api.cmdb.system.api_user import ApiUserSC
from fortigate_api.cmdb.system.arp_table import ArpTableSC
from fortigate_api.cmdb.system.auto_install import AutoInstallSC
from fortigate_api.cmdb.system.auto_script import AutoScriptSC
from fortigate_api.cmdb.system.automation_action import AutomationActionSC
from fortigate_api.cmdb.system.automation_destination import AutomationDestinationSC
from fortigate_api.cmdb.system.automation_stitch import AutomationStitchSC
from fortigate_api.cmdb.system.automation_trigger import AutomationTriggerSC
from fortigate_api.cmdb.system.central_management import CentralManagementSC
from fortigate_api.cmdb.system.cluster_sync import ClusterSyncSC
from fortigate_api.cmdb.system.console import ConsoleSC
from fortigate_api.cmdb.system.csf import CsfSC
from fortigate_api.cmdb.system.custom_language import CustomLanguageSC
from fortigate_api.cmdb.system.ddns import DdnsSC
from fortigate_api.cmdb.system.dedicated_mgmt import DedicatedMgmtSC
from fortigate_api.cmdb.system.dns import DnsSC
from fortigate_api.cmdb.system.dns_database import DnsDatabaseSC
from fortigate_api.cmdb.system.dns_server import DnsServerSC
from fortigate_api.cmdb.system.dscp_based_priority import DscpBasedPrioritySC
from fortigate_api.cmdb.system.email_server import EmailServerSC
from fortigate_api.cmdb.system.external_resource import ExternalResourceSC
from fortigate_api.cmdb.system.fips_cc import FipsCcSC
from fortigate_api.cmdb.system.fortiguard import FortiguardSC
from fortigate_api.cmdb.system.fortimanager import FortimanagerSC
from fortigate_api.cmdb.system.fortisandbox import FortisandboxSC
from fortigate_api.cmdb.system.fsso_polling import FssoPollingSC
from fortigate_api.cmdb.system.ftm_push import FtmPushSC
from fortigate_api.cmdb.system.geneve import GeneveSC
from fortigate_api.cmdb.system.geoip_country import GeoipCountrySC
from fortigate_api.cmdb.system.geoip_override import GeoipOverrideSC
from fortigate_api.cmdb.system.global_ import GlobalSC
from fortigate_api.cmdb.system.gre_tunnel import GreTunnelSC
from fortigate_api.cmdb.system.ha import HaSC
from fortigate_api.cmdb.system.ha_monitor import HaMonitorSC
from fortigate_api.cmdb.system.interface import InterfaceSC
from fortigate_api.cmdb.system.ipip_tunnel import IpipTunnelSC
from fortigate_api.cmdb.system.ips import IpsSC
from fortigate_api.cmdb.system.ips_urlfilter_dns import IpsUrlfilterDnsSC
from fortigate_api.cmdb.system.ips_urlfilter_dns6 import IpsUrlfilterDns6SC
from fortigate_api.cmdb.system.ipsec_aggregate import IpsecAggregateSC
from fortigate_api.cmdb.system.ipv6_neighbor_cache import Ipv6NeighborCacheSC
from fortigate_api.cmdb.system.ipv6_tunnel import Ipv6TunnelSC
from fortigate_api.cmdb.system.link_monitor import LinkMonitorSC
from fortigate_api.cmdb.system.lte_modem import LteModemSC
from fortigate_api.cmdb.system.mac_address_table import MacAddressTableSC
from fortigate_api.cmdb.system.mobile_tunnel import MobileTunnelSC
from fortigate_api.cmdb.system.modem import ModemSC
from fortigate_api.cmdb.system.nat64 import Nat64SC
from fortigate_api.cmdb.system.nd_proxy import NdProxySC
from fortigate_api.cmdb.system.netflow import NetflowSC
from fortigate_api.cmdb.system.network_visibility import NetworkVisibilitySC
from fortigate_api.cmdb.system.npu import NpuSC
from fortigate_api.cmdb.system.ntp import NtpSC
from fortigate_api.cmdb.system.object_tagging import ObjectTaggingSC
from fortigate_api.cmdb.system.password_policy import PasswordPolicySC
from fortigate_api.cmdb.system.password_policy_guest_admin import PasswordPolicyGuestAdminSC
from fortigate_api.cmdb.system.physical_switch import PhysicalSwitchSC
from fortigate_api.cmdb.system.pppoe_interface import PppoeInterfaceSC
from fortigate_api.cmdb.system.probe_response import ProbeResponseSC
from fortigate_api.cmdb.system.proxy_arp import ProxyArpSC
from fortigate_api.cmdb.system.ptp import PtpSC
from fortigate_api.cmdb.system.replacemsg_group import ReplacemsgGroupSC
from fortigate_api.cmdb.system.replacemsg_image import ReplacemsgImageSC
from fortigate_api.cmdb.system.resource_limits import ResourceLimitsSC
from fortigate_api.cmdb.system.saml import SamlSC
from fortigate_api.cmdb.system.sdn_connector import SdnConnectorSC
from fortigate_api.cmdb.system.sdwan import SdwanSC
from fortigate_api.cmdb.system.session_helper import SessionHelperSC
from fortigate_api.cmdb.system.session_ttl import SessionTtlSC
from fortigate_api.cmdb.system.settings import SettingsSC
from fortigate_api.cmdb.system.sflow import SflowSC
from fortigate_api.cmdb.system.sit_tunnel import SitTunnelSC
from fortigate_api.cmdb.system.sms_server import SmsServerSC
from fortigate_api.cmdb.system.speed_test_server import SpeedTestServerSC
from fortigate_api.cmdb.system.sso_admin import SsoAdminSC
from fortigate_api.cmdb.system.standalone_cluster import StandaloneClusterSC
from fortigate_api.cmdb.system.storage import StorageSC
from fortigate_api.cmdb.system.stp import StpSC
from fortigate_api.cmdb.system.switch_interface import SwitchInterfaceSC
from fortigate_api.cmdb.system.system_c import SystemC
from fortigate_api.cmdb.system.tos_based_priority import TosBasedPrioritySC
from fortigate_api.cmdb.system.vdom import VdomSC
from fortigate_api.cmdb.system.vdom_dns import VdomDnsSC
from fortigate_api.cmdb.system.vdom_exception import VdomExceptionSC
from fortigate_api.cmdb.system.vdom_link import VdomLinkSC
from fortigate_api.cmdb.system.vdom_netflow import VdomNetflowSC
from fortigate_api.cmdb.system.vdom_property import VdomPropertySC
from fortigate_api.cmdb.system.vdom_radius_server import VdomRadiusServerSC
from fortigate_api.cmdb.system.vdom_sflow import VdomSflowSC
from fortigate_api.cmdb.system.virtual_switch import VirtualSwitchSC
from fortigate_api.cmdb.system.virtual_wire_pair import VirtualWirePairSC
from fortigate_api.cmdb.system.vne_tunnel import VneTunnelSC
from fortigate_api.cmdb.system.vxlan import VxlanSC
from fortigate_api.cmdb.system.wccp import WccpSC
from fortigate_api.cmdb.system.zone import ZoneSC
